Package de.willuhn.jameica.hbci.gui.input

# Class ZweckInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.TextInput
de.willuhn.jameica.hbci.gui.input.ZweckInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class ZweckInput extends de.willuhn.jameica.gui.input.TextInput
Vorkonfiguriertes Eingabefeld fuer den Verwendungszweck.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.input.TextInput

`text`

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`ZweckInput(String value, de.willuhn.jameica.gui.input.Input preview)`
ct.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swt.widgets.Control`
`getControl()`
Ueberschrieben, um die in SEPA-Verwendungszwecken erlaubten Zeichen automatisch zu entfernen.

### Methods inherited from class de.willuhn.jameica.gui.input.TextInput

`disable, enable, focus, getHint, getTextWidget, getValue, isEnabled, setEnabled, setHint, setMaxLength, setValue`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, setValidChars, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZweckInput

public ZweckInput(String value, de.willuhn.jameica.gui.input.Input preview)
ct.

Parameters:
  `value` - der Verwendungszweck.
  `preview` - optionale Angabe der Preview.

## Method Details

### getControl

public org.eclipse.swt.widgets.Control getControl()
Ueberschrieben, um die in SEPA-Verwendungszwecken erlaubten Zeichen automatisch zu entfernen. Dann kann der User per Zwischenablage auch unerlaubte Zeichen einfuegen. Hibiscus schneidet die dann automatisch raus.

Specified by:
  `getControl` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `getControl` in class `de.willuhn.jameica.gui.input.TextInput`
See Also:
  - `TextInput.getControl()`